Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

ruby2.5-rubygem-nokogiri-1.8.5-lp152.4.3.1 RPM for aarch64

From OpenSuSE Ports Leap 15.2 updates for aarch64

Name: ruby2.5-rubygem-nokogiri Distribution: openSUSE Leap 15.2
Version: 1.8.5 Vendor: openSUSE
Release: lp152.4.3.1 Build date: Mon Feb 1 12:17:54 2021
Group: Development/Languages/Ruby Build host: obs-arm-9
Size: 10075549 Source RPM: rubygem-nokogiri-1.8.5-lp152.4.3.1.src.rpm
Packager: http://bugs.opensuse.org
Summary: Nokogiri (鋸) is an HTML, XML, SAX, and Reader parser
Nokogiri (鋸) is an HTML, XML, SAX, and Reader parser.  Among
Nokogiri's many features is the ability to search documents via XPath
or CSS3 selectors.

Provides

Requires

License

MIT

Changelog

* Thu Jan 21 2021 Jacek Tomasiak <jtomasiak@suse.com>
  - add 000-CVE-2019-5477.patch (CVE-2019-5477, bsc#1146578)
  - add 001-test-equality.patch (prereq of 002-CVE-2020-26247.patch)
  - add 002-CVE-2020-26247.patch (CVE-2020-26247, bsc#1180507)
* Mon Oct 29 2018 mschnitzer@suse.com
  - updated to version 1.8.5 (bsc#1156722)
    [#]# Security Notes
    [MRI] Pulled in upstream patches from libxml2 that address CVE-2018-14404 and CVE-2018-14567. Full details are available in [#1785](https://github.com/sparklemotion/nokogiri/issues/1785). Note that these patches are not yet (as of 2018-10-04) in an upstream release of libxml2.
    [#]# Bug fixes
    * [MRI] Fix regression in installation when building against system libraries, where some systems would not be able to find libxml2 or libxslt when present. (Regression introduced in v1.8.3.) [#1722]
    * [JRuby] Fix node reparenting when the destination doc is empty. [#1773]
* Wed Jul 04 2018 factory-auto@kulow.org
  - updated to version 1.8.4
    see installed CHANGELOG.md
    [#] 1.8.4 / 2018-07-03
    [#]# Bug fixes
    * [MRI] Fix memory leak when creating nodes with namespaces. (Introduced in v1.5.7) [#1771]
* Sat Jun 16 2018 factory-auto@kulow.org
  - updated to version 1.8.3
    see installed CHANGELOG.md
    [#] 1.8.3 / 2018-06-16
    [#]# Security Notes
    [MRI] Behavior in libxml2 has been reverted which caused CVE-2018-8048 (loofah gem), CVE-2018-3740 (sanitize gem), and CVE-2018-3741 (rails-html-sanitizer gem). The commit in question is here:
    > https://github.com/GNOME/libxml2/commit/960f0e2
    and more information is available about this commit and its impact here:
    > https://github.com/flavorjones/loofah/issues/144
    This release simply reverts the libxml2 commit in question to protect users of Nokogiri's vendored libraries from similar vulnerabilities.
    If you're offended by what happened here, I'd kindly ask that you comment on the upstream bug report here:
    > https://bugzilla.gnome.org/show_bug.cgi?id=769760
* Thu Feb 08 2018 coolo@suse.com
  - updated to version 1.8.2
    see installed CHANGELOG.md
    [#] 1.8.2 / 2018-01-29
    [#]# Security Notes
    [MRI] The update of vendored libxml2 from 2.9.5 to 2.9.7 addresses at least one published vulnerability, CVE-2017-15412. [#1714 has complete details]
    [#]# Dependencies
    * [MRI] libxml2 is updated from 2.9.5 to 2.9.7
    * [MRI] libxml2 is updated from 1.1.30 to 1.1.32
    [#]# Features
    * [MRI] OpenBSD installation should be a bit easier now. [#1685] (Thanks, @jeremyevans!)
    * [MRI] Cross-built Windows gems now support Ruby 2.5
    [#]# Bug fixes
    * Node#serialize once again returns UTF-8-encoded strings. [#1659]
    * [JRuby] made SAX parsing of characters consistent with C implementation [#1676] (Thanks, @andrew-aladev!)
    * [MRI] Predefined entities, when inspected, no longer cause a segfault. [#1238]
* Wed Sep 20 2017 bgeuken@suse.com
  - Updated to version 1.8.1
    From the upstream changelog:
      Dependencies
      [MRI] libxml2 is updated from 2.9.4 to 2.9.5.
      [MRI] libxslt is updated from 1.1.29 to 1.1.30.
      [MRI] optional dependency on the pkg-config gem has had its constraint loosened to ~> 1.1 (from ~> 1.1.7). [#1660]
      [MRI] Upgrade mini_portile2 dependency from ~> 2.2.0 to ~> 2.3.0, which will validate checksums on the vendored libxml2 and libxslt tarballs before using them.
      Bugs
      NodeSet#first with an integer argument longer than the length of the NodeSet now correctly clamps the length of the returned NodeSet to the original length. [#1650] (Thanks, @Derenge!)
      [MRI] Ensure CData.new raises TypeError if the content argument is not implicitly convertible into a string. [#1669]
* Mon Sep 18 2017 mrueckert@suse.de
  - make gem2rpm.yaml match the gemspec with regards to BR:
    mini_portile2
* Tue Jun 06 2017 coolo@suse.com
  - updated to version 1.8.0
    see installed CHANGELOG.md
    [#] 1.8.0 / 2017-06-04
    [#]# Backwards incompatibilities
    This release ends support for Ruby 2.1 on Windows in the `x86-mingw32` and `x64-mingw32` platform gems (containing pre-compiled DLLs). Official support ended for Ruby 2.1 on 2017-04-01.
    Please note that this deprecation note only applies to the precompiled Windows gems. Ruby 2.1 continues to be supported (for now) in the default gem when compiled on installation.
    [#]# Dependencies
    * [Windows] Upgrade iconv from 1.14 to 1.15 (unless --use-system-libraries)
    * [Windows] Upgrade zlib from 1.2.8 to 1.2.11 (unless --use-system-libraries)
    * [MRI] Upgrade rake-compiler dependency from 0.9.2 to 1.0.3
    * [MRI] Upgrade mini-portile2 dependency from `~> 2.1.0` to `~> 2.2.0`
    [#]# Compatibility notes
    * [JRuby] Removed support for `jruby --1.8` code paths. [#1607] (Thanks, @kares!)
    * [MRI Windows] Retrieve zlib source from http://zlib.net/fossils to avoid deprecation issues going forward. See #1632 for details around this problem.
    [#]# Features
    * NodeSet#clone is not an alias for NodeSet#dup [#1503] (Thanks, @stephankaag!)
    * Allow Processing Instructions and Comments as children of a document root. [#1033] (Thanks, @windwiny!)
    * [MRI] PushParser#replace_entities and #replace_entities= will control whether entities are replaced or not. [#1017] (Thanks, @spraints!)
    * [MRI] SyntaxError#to_s now includes line number, column number, and log level if made available by the parser. [#1304, #1637] (Thanks, @spk and @ccarruitero!)
    * [MRI] Cross-built Windows gems now support Ruby 2.4
    * [MRI] Support for frozen string literals. [#1413]
    * [MRI] Support for installing Nokogiri on a machine in FIPS-enabled mode [#1544]
    * [MRI] Vendored libraries are verified with SHA-256 hashes (formerly some MD5 hashes were used) [#1544]
    * [JRuby] (performance) remove unnecessary synchronization of class-cache [#1563] (Thanks, @kares!)
    * [JRuby] (performance) remove unnecessary cloning of objects in XPath searches [#1563] (Thanks, @kares!)
    * [JRuby] (performance) more performance improvements, particularly in XPath, Reader, XmlNode, and XmlNodeSet [#1597] (Thanks, @kares!)
    [#]# Bugs
    * HTML::SAX::Parser#parse_io now correctly parses HTML and not XML [#1577] (Thanks for the test case, @gregors!)
    * Support installation on systems with a `lib64` site config. [#1562]
    * [MRI] on OpenBSD, do not require gcc if using system libraries [#1515] (Thanks, @jeremyevans!)
    * [MRI] XML::Attr.new checks type of Document arg to prevent segfaults. [#1477]
    * [MRI] Prefer xmlCharStrdup (and friends) to strdup (and friends), which can cause problems on some platforms. [#1517] (Thanks, @jeremy!)
    * [JRuby] correctly append a text node before another text node [#1318] (Thanks, @jkraemer!)
    * [JRuby] custom xpath functions returning an integer now work correctly [#1595] (Thanks, @kares!)
    * [JRuby] serializing (`#to_html`, `#to_s`, et al) a document with explicit encoding now works correctly. [#1281, #1440] (Thanks, @kares!)
    * [JRuby] XML::Reader now returns parse errors [#1586] (Thanks, @kares!)
    * [JRuby] Empty NodeSets are now decorated properly. [#1319] (Thanks, @kares!)
    * [JRuby] Merged nodes no longer results in Java exceptions during XPath queries. [#1320] (Thanks, @kares!)
* Tue May 23 2017 coolo@suse.com
  - updated to version 1.7.2
    see installed CHANGELOG.md
    [#] 1.7.2 / 2017-05-09
    [#]# Security Notes
    [MRI] Upstream libxslt patches are applied to the vendored libxslt 1.1.29 which address CVE-2017-5029 and CVE-2016-4738.
    For more information:
    * https://github.com/sparklemotion/nokogiri/issues/1634
    * http://people.canonical.com/~ubuntu-security/cve/2017/CVE-2017-5029.html
    * http://people.canonical.com/~ubuntu-security/cve/2016/CVE-2016-4738.html
* Mon Mar 20 2017 coolo@suse.com
  - updated to version 1.7.1
    see installed CHANGELOG.md
    [#] 1.7.1 / unreleased
    [#]# Security Notes
    [MRI] Upstream libxml2 patches are applied to the vendored libxml 2.9.4 which address CVE-2016-4658 and CVE-2016-5131.
    For more information:
    * https://github.com/sparklemotion/nokogiri/issues/1615
    * http://people.canonical.com/~ubuntu-security/cve/2016/CVE-2016-4658.html
    * http://people.canonical.com/~ubuntu-security/cve/2016/CVE-2016-5131.html
    [#]# Dependencies
    * [Windows] Upgrade zlib from 1.2.8 to 1.2.11 (unless --use-system-libraries)
* Sat Jan 14 2017 coolo@suse.com
  - updated to version 1.7.0.1
    see installed CHANGELOG.md
    [#] 1.7.0.1 / 2017-01-04
    [#]# Bugs
    * Fix OpenBSD support. (#1569) (related to #1543)
* Tue Dec 27 2016 coolo@suse.com
  - updated to version 1.7.0
    CHANGELOG.rdoc removed upstream
* Tue Oct 04 2016 coolo@suse.com
  - updated to version 1.6.8.1
    see installed CHANGELOG.rdoc
* Tue Jun 07 2016 coolo@suse.com
  - updated to version 1.6.8
    ==== Features
    Several changes were made to improve performance:
    * [MRI] Simplify NodeSet#to_a with a minor speed-up. (#1397)
    * XML::Node#ancestors optimization. (#1297) (Thanks, Bruno Sutic!)
    * Use Symbol#to_proc where we weren't previously. (#1296) (Thanks, Bruno Sutic!)
    * XML::DTD#each uses implicit block calls. (Thanks, @glaucocustodio!)
    * Fall back to the `pkg-config` gem if we're having trouble finding the system libxml2. This should help many FreeBSD users. (#1417)
    * Set document encoding appropriately even on blank document. (#1043) (Thanks, @batter!)
    ==== Bug Fixes
    * [JRuby] fix slow add_child (#692)
    * [JRuby] fix load errors when deploying to JRuby/Torquebox (#1114) (Thanks, @atambo and @jvshahid!)
    * [JRuby] fix NPE when inspecting nodes returned by NodeSet#drop (#1042) (Thanks, @mkristian!)
    * [JRuby] fix nil attriubte node's namespace in reader (#1327) (Thanks, @codekitchen!)
    * [JRuby] fix Nokogiri munging unicode characters that require more than 2 bytes (#1113) (Thanks, @mkristian!)
    * [JRuby] allow unlinking an unparented node (#1112, #1152) (Thanks, @esse!)
    * [JRuby] allow Fragment parsing on a frozen string (#444, #1077)
    * [JRuby] HTML `style` tags are no longer encoded (#1316) (Thanks, @tbeauvais!)
    * [MRI] fix assertion failure while accessing attribute node's namespace in reader (#843) (Thanks, @2potatocakes!)
    * [MRI] fix issue with GCing namespace nodes returned in an xpath query. (#1155)
    * [MRI] Ensure C strings are null-terminated. (#1381)
    * [MRI] Ensure Rubygems is loaded before using mini_portile2 at installation. (#1393, #1411) (Thanks, @JonRowe!)
    * [MRI] Handling another edge case where the `libxml-ruby` gem's global callbacks were smashing the heap. (#1426). (Thanks to @bbergstrom for providing an isolated test case!)
    * [MRI] Ensure encodings are passed to Sax::Parser xmldecl callback. (#844)
    * [MRI] Ensure default ns prefix is applied correctly when reparenting nodes to another document. (#391) (Thanks, @ylecuyer!)
    * [MRI] Ensure Reader handles non-existent attributes as expected. (#1254) (Thanks, @ccutrer!)
    * [MRI] Cleanup around namespace handling when reparenting nodes. (#1332, #1333, #1444) (Thanks, @cuttrer and @bradleybeddoes!)
    * unescape special characters in CSS queries (#1303) (Thanks, @twalpole!)
    * consistently handle empty documents (#1349)
    * Update to mini_portile2 2.1.0 to address whitespace-handling during patching. (#1402)
    * Fix encoding of xml node namespaces.
    * Work around issue installing Nokogiri on overlayfs (commonly used in Docker containers). (#1370, #1405)
    ==== Other Notes
    * Removed legacy code remaining from Ruby 1.8.x support.
    * Removed legacy code remaining from REE support.
    * Removing hacky workarounds for bugs in some older versions of libxml2.
    * Handling C strings in a forward-compatible manner, see https://github.com/ruby/ruby/blob/v2_2_0/NEWS#L319
  - remove nokogiri-1.6.7.2_mini_portile2_version.diff as upstreamed
* Wed Mar 23 2016 olaf@aepfle.de
  - Force fixed timestamps for patched gems (bsc#916047)
* Tue Jan 26 2016 mrueckert@suse.de
  - lockdown mini_portile2 to 2.0
* Mon Jan 25 2016 mrueckert@suse.de
  - update to version 1.6.7.2
    This version pulls in several upstream patches to the vendored
    libxml2 and libxslt to address:
    CVE-2015-7499
    Ubuntu classifies this as "Priority: Low", RedHat classifies this
    as "Impact: Moderate", and NIST classifies this as "Severity: 5.0
    (MEDIUM)".
    MITRE record is
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-7499
    This is not effecting us as we are using the system copy.
  - refresh mini_portile patch to apply cleanly again
    old: nokogiri-1.6.7.diff
    new: nokogiri-1.6.7.2_mini_portile2_version.diff
* Thu Jan 21 2016 mrueckert@suse.de
  - fix buildrequires for mini_portile
* Thu Dec 17 2015 coolo@suse.com
  - updated to version 1.6.7.1
    see installed CHANGELOG.rdoc
    === 1.6.7.1 / 2015-12-16
    This version pulls in several upstream patches to the vendored libxml2 and libxslt to address:
      CVE-2015-5312
      CVE-2015-7497
      CVE-2015-7498
      CVE-2015-7499
      CVE-2015-7500
      CVE-2015-8241
      CVE-2015-8242
      CVE-2015-8317
    See also http://www.ubuntu.com/usn/usn-2834-1/
* Tue Dec 15 2015 coolo@suse.com
  - add nokogiri-1.6.7.diff to fix the mini_portile2 dependency
* Tue Dec 01 2015 coolo@suse.com
  - updated to version 1.6.7
    see installed CHANGELOG.rdoc
    === 1.6.7 / 2015-11-29
    ==== Notes
    This version supports native builds on Windows using the RubyInstaller
    DevKit. It also supports Ruby 2.2.x on Windows, as well as making
    several other improvements to the installation process on various
    platforms.
    This version also includes the security patches already applied in
    v1.6.6.3 and v1.6.6.4 to the vendored libxml2 and libxslt source.
    See #1374 and #1376 for details.
    ==== Features
    * Cross-built gems now have a proper ruby version requirement. (#1266)
    * Ruby 2.2.x is supported on Windows.
    * Native build is supported on Windows.
    * [MRI] libxml2 and libxslt `config.guess` files brought up to date. (#1326) (Thanks, @hernan-erasmo!)
    * [JRuby] fix error in validating files with jruby (#1355, #1361) (Thanks, @twalpole!)
    * [MRI, OSX] Patch to handle nonstandard location of `iconv.h`. (#1206, #1210, #1218, #1345) (Thanks, @neonichu!)
    ==== Bug Fixes
    * [JRuby] reset the namespace cache when replacing the document's innerHtml (#1265) (Thanks, @mkristian!)
    * [JRuby] Document#parse should support IO objects that respond to #read. (#1124) (Thanks, Jake Byman!)
    * [MRI] Duplicate-id errors when setting the `id` attribute on HTML documents are now silenced. (#1262)
    * [JRuby] SAX parser cuts texts in peices when quare brackets exist. (#1261)
    * [JRuby] Namespaced attributes aren't removed by remove_attribute. (#1299)
* Tue Nov 24 2015 coolo@suse.com
  - updated to version 1.6.6.4
    see installed CHANGELOG.rdoc
    === 1.6.6.4 / 2015-11-19
    This version pulls in an upstream patche to the vendored libxml2 to address:
    * unclosed comment uninitialized access issue (#1376)
    This issue does not have a CVE assigned to it as this time.
* Tue Nov 17 2015 coolo@suse.com
  - updated to version 1.6.6.3
    see installed CHANGELOG.rdoc
    === 1.6.6.3 / 2015-11-16
    This version pulls in several upstream patches to the vendored libxml2 and libxslt to address:
    * CVE-2015-1819
    * CVE-2015-7941_1
    * CVE-2015-7941_2
    * CVE-2015-7942
    * CVE-2015-7942-2
    * CVE-2015-8035
    * CVE-2015-7995
    See #1374 for details.
* Wed Feb 04 2015 hvogel@suse.com
  - Update to 1.6.6.2
    * Fixed installation issue affecting compiler arguments. (#1230)
    * Unified Node and NodeSet implementations of #search, #xpath and #css.
    * Added Node#lang and Node#lang=.
    * bin/nokogiri passes the URI to parse() if an HTTP URL is given.
    * bin/nokogiri now loads ~/.nokogirirc so user can define helper methods, etc.
    * bin/nokogiri can be configured to use Pry instead of IRB by adding a couple of lines to ~/.nokogirirc. (#1198)
    * bin/nokogiri can better handle urls from STDIN (aiding use of xargs). (#1065)
    * DocumentFragment#search now matches against root nodes. (#1205)
    * (MRI) More fixes related to handling libxml2 parse errors during DocumentFragment#dup. (#1196)
    * `XML::Comment.new` argument types are now consistent and safe (and documented) across MRI and JRuby. (#1224)
    * Check if `zlib` is available before building `libxml2`. (#1188)
    * Implement Slop#respond_to_missing?. (#1176)
    * Optimized the XPath query generated by an `an+b` CSS query.
    * Capture non-parse errors from Document#dup in Document#errors. (#1196)
    * (MRI) Fix a bug where CFLAGS passed in are dropped. (#1188)
    * Fix a bug where CSS selector :nth(n) did not work. (#1187)
    * (MRI) Bundled Libxml2 is upgraded to 2.9.2.
    * (MRI) `nokogiri --version` will include a list of applied patches.
    * (MRI) Nokogiri no longer prints messages directly to TTY while building the extension.
    * (MRI) Improve the iconv detection for building libxml2.
    * (MRI) Fix DocumentFragment#element_children (#1138).
    * Fix a bug with CSS attribute selector without any prefix where "foo [bar]" was treated as "foo[bar]". (#1174)
* Wed Oct 15 2014 coolo@suse.com
  - adapt to new rubygem packaging

Files

/etc/alternatives/nokogiri
/etc/alternatives/nokogiri-1.8.5
/etc/alternatives/nokogiri.ruby2.5
/usr/bin/nokogiri
/usr/bin/nokogiri-1.8.5
/usr/bin/nokogiri.ruby2.5
/usr/bin/nokogiri.ruby2.5-1.8.5
/usr/lib64/ruby/gems/2.5.0/build_info
/usr/lib64/ruby/gems/2.5.0/cache/nokogiri-1.8.5.gem
/usr/lib64/ruby/gems/2.5.0/extensions/aarch64-linux/2.5.0/nokogiri-1.8.5
/usr/lib64/ruby/gems/2.5.0/extensions/aarch64-linux/2.5.0/nokogiri-1.8.5/gem.build_complete
/usr/lib64/ruby/gems/2.5.0/extensions/aarch64-linux/2.5.0/nokogiri-1.8.5/nokogiri
/usr/lib64/ruby/gems/2.5.0/extensions/aarch64-linux/2.5.0/nokogiri-1.8.5/nokogiri/nokogiri.so
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/.autotest
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/.cross_rubies
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/.editorconfig
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/.gemtest
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/.travis.yml
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/CHANGELOG.md
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/CONTRIBUTING.md
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/C_CODING_STYLE.rdoc
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/Gemfile
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/Gemfile-libxml-ruby
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/LICENSE-DEPENDENCIES.md
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/LICENSE.md
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/Manifest.txt
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/README.md
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ROADMAP.md
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/Rakefile
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/SECURITY.md
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/STANDARD_RESPONSES.md
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/Y_U_NO_GEMSPEC.md
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/appveyor.yml
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/bin
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/bin/nokogiri
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/build_all
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/dependencies.yml
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/.sitearchdir.-.nokogiri.time
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/depend
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/extconf.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/html_document.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/html_document.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/html_element_description.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/html_element_description.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/html_entity_lookup.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/html_entity_lookup.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/html_sax_parser_context.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/html_sax_parser_context.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/html_sax_push_parser.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/html_sax_push_parser.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/nokogiri.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/nokogiri.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/nokogiri.so
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_attr.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_attr.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_attribute_decl.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_attribute_decl.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_cdata.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_cdata.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_comment.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_comment.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_document.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_document.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_document_fragment.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_document_fragment.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_dtd.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_dtd.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_element_content.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_element_content.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_element_decl.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_element_decl.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_encoding_handler.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_encoding_handler.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_entity_decl.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_entity_decl.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_entity_reference.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_entity_reference.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_io.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_io.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_libxml2_hacks.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_libxml2_hacks.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_namespace.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_namespace.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_node.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_node.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_node_set.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_node_set.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_processing_instruction.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_processing_instruction.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_reader.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_reader.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_relax_ng.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_relax_ng.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_sax_parser.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_sax_parser.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_sax_parser_context.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_sax_parser_context.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_sax_push_parser.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_sax_push_parser.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_schema.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_schema.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_syntax_error.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_syntax_error.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_text.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_text.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_xpath_context.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xml_xpath_context.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xslt_stylesheet.c
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/ext/nokogiri/xslt_stylesheet.h
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/css
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/css.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/css/node.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/css/parser.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/css/parser.y
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/css/parser_extras.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/css/syntax_error.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/css/tokenizer.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/css/tokenizer.rex
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/css/xpath_visitor.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/decorators
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/decorators/slop.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/html
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/html.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/html/builder.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/html/document.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/html/document_fragment.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/html/element_description.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/html/element_description_defaults.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/html/entity_lookup.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/html/sax
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/html/sax/parser.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/html/sax/parser_context.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/html/sax/push_parser.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/nokogiri.so
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/syntax_error.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/version.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/attr.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/attribute_decl.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/builder.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/cdata.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/character_data.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/document.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/document_fragment.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/dtd.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/element_content.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/element_decl.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/entity_decl.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/entity_reference.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/namespace.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/node
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/node.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/node/save_options.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/node_set.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/notation.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/parse_options.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/pp
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/pp.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/pp/character_data.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/pp/node.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/processing_instruction.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/reader.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/relax_ng.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/sax
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/sax.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/sax/document.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/sax/parser.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/sax/parser_context.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/sax/push_parser.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/schema.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/searchable.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/syntax_error.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/text.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/xpath
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/xpath.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/xpath/syntax_error.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xml/xpath_context.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xslt
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xslt.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/nokogiri/xslt/stylesheet.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/xsd
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/xsd/xmlparser
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/lib/xsd/xmlparser/nokogiri.rb
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/patches
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/patches/libxml2
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/patches/libxml2/0001-Revert-Do-not-URI-escape-in-server-side-includes.patch
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/patches/libxml2/0002-Fix-nullptr-deref-with-XPath-logic-ops.patch
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/patches/libxml2/0003-Fix-infinite-loop-in-LZMA-decompression.patch
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/patches/sort-patches-by-date
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/suppressions
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/suppressions/README.txt
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/suppressions/nokogiri_ruby-2.supp
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/tasks
/usr/lib64/ruby/gems/2.5.0/gems/nokogiri-1.8.5/tasks/test.rb
/usr/lib64/ruby/gems/2.5.0/specifications/nokogiri-1.8.5.gemspec
/usr/share/doc/packages/ruby2.5-rubygem-nokogiri
/usr/share/doc/packages/ruby2.5-rubygem-nokogiri/CHANGELOG.md
/usr/share/doc/packages/ruby2.5-rubygem-nokogiri/LICENSE.md
/usr/share/doc/packages/ruby2.5-rubygem-nokogiri/README.md


Generated by rpm2html 1.8.1

Fabrice Bellet, Mon Nov 29 23:59:34 2021